/usr/sbin/ipsec is in strongswan-starter 5.2.1-6+deb8u6.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255 256 257 258 259 260 261 262 263 264 265 266 267 268 269 270 271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286 287 288 289 290 291 292 293 294 295 296 297 298 299 300 301 302 303 304 305 306 307 308 309 310 311 312 313 314 315 316 317 318 319 320 321 322 323 324 325 326 327 328 329 330 331 332 333 334 335 336 | #! /bin/sh
# prefix command to run stuff from our programs directory
# Copyright (C) 1998-2002 Henry Spencer.
# Copyright (C) 2006-2014 Andreas Steffen
# Copyright (C) 2006 Martin Willi
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version. See <http://www.fsf.org/copyleft/gpl.txt>.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
# define a minimum PATH environment in case it is not set
PATH=${PATH:-"/sbin:/bin:/usr/sbin:/usr/bin"}
export PATH
# set daemon name
[ -z "$DAEMON_NAME" ] && DAEMON_NAME="charon"
# name and version of the ipsec implementation
OS_NAME=`uname -s`
IPSEC_NAME="strongSwan"
IPSEC_VERSION="U5.2.1/K`uname -r`"
# where the private directory and the config files are
IPSEC_DIR="/usr/lib/ipsec"
IPSEC_BINDIR="/usr/bin"
IPSEC_SBINDIR="/usr/sbin"
IPSEC_CONFDIR="/etc"
IPSEC_PIDDIR="/var/run"
IPSEC_SCRIPT="ipsec"
IPSEC_STARTER_PID="${IPSEC_PIDDIR}/starter.${DAEMON_NAME}.pid"
IPSEC_CHARON_PID="${IPSEC_PIDDIR}/${DAEMON_NAME}.pid"
IPSEC_STROKE="${IPSEC_DIR}/stroke"
IPSEC_STARTER="${IPSEC_DIR}/starter"
export IPSEC_DIR IPSEC_BINDIR IPSEC_SBINDIR IPSEC_CONFDIR IPSEC_PIDDIR IPSEC_SCRIPT IPSEC_VERSION IPSEC_NAME IPSEC_STARTER_PID IPSEC_CHARON_PID
IPSEC_DISTRO="Institute for Internet Technologies and Applications\nUniversity of Applied Sciences Rapperswil, Switzerland"
case "$1" in
'')
echo "$IPSEC_SCRIPT command [arguments]"
echo
echo "Use --help for a list of commands, or refer to the $IPSEC_SCRIPT(8) man page."
echo "See <http://www.strongswan.org> for more general information."
exit 0
;;
--help)
echo "$IPSEC_SCRIPT command [arguments]"
echo
echo "Commands:"
echo " start|restart [arguments]"
echo " update|reload|stop"
echo " up|down|route|unroute <connectionname>"
echo " down-srcip <start> [<end>]"
echo " status|statusall [<connectionname>]"
echo " listalgs|listpubkeys|listcerts [--utc]"
echo " listcacerts|listaacerts|listocspcerts [--utc]"
echo " listacerts|listgroups|listcainfos [--utc]"
echo " listcrls|listocsp|listplugins|listall [--utc]"
echo " listcounters|resetcounters [name]"
echo " leases [<poolname> [<address>]]"
echo " rereadsecrets|rereadcacerts|rereadaacerts"
echo " rereadocspcerts|rereadacerts|rereadcrls|rereadall"
echo " purgecerts|purgecrls|purgeike|purgeocsp"
echo " scepclient|pki"
echo " starter|stroke"
echo " version"
echo
echo "Refer to the $IPSEC_SCRIPT(8) man page for details."
echo "Some commands have their own man pages, e.g. pki(1) or scepclient(8)."
exit 0
;;
--versioncode)
echo "$IPSEC_VERSION"
exit 0
;;
--directory)
echo "$IPSEC_DIR"
exit 0
;;
--confdir)
echo "$IPSEC_CONFDIR"
exit 0
;;
--piddir)
echo "$IPSEC_PIDDIR"
exit 0
;;
copyright|--copyright)
set _copyright
# and fall through, invoking "ipsec _copyright"
;;
down)
shift
if [ "$#" -ne 1 ]
then
echo "Usage: $IPSEC_SCRIPT down <connection name>"
exit 2
fi
rc=7
if [ -e $IPSEC_CHARON_PID ]
then
$IPSEC_STROKE down "$1"
rc="$?"
fi
exit "$rc"
;;
down-srcip)
shift
if [ "$#" -lt 1 ]
then
echo "Usage: $IPSEC_SCRIPT down-srcip <start> [<end>]"
exit 2
fi
rc=7
if [ -e $IPSEC_CHARON_PID ]
then
$IPSEC_STROKE down-srcip $*
rc="$?"
fi
exit "$rc"
;;
leases)
op="$1"
rc=7
shift
if [ -e $IPSEC_CHARON_PID ]
then
case "$#" in
0) $IPSEC_STROKE "$op" ;;
1) $IPSEC_STROKE "$op" "$1" ;;
*) $IPSEC_STROKE "$op" "$1" "$2" ;;
esac
rc="$?"
fi
exit "$rc"
;;
listalgs|listpubkeys|listplugins|\
listcerts|listcacerts|listaacerts|\
listacerts|listgroups|listocspcerts|\
listcainfos|listcrls|listocsp|listall|\
rereadsecrets|rereadcacerts|rereadaacerts|\
rereadacerts|rereadocspcerts|rereadcrls|\
rereadall|purgeocsp|listcounters|resetcounters)
op="$1"
rc=7
shift
if [ -e $IPSEC_CHARON_PID ]
then
$IPSEC_STROKE "$op" "$@"
rc="$?"
fi
exit "$rc"
;;
purgeike|purgecrls|purgecerts)
rc=7
if [ -e $IPSEC_CHARON_PID ]
then
$IPSEC_STROKE "$1"
rc="$?"
fi
exit "$rc"
;;
reload)
rc=7
if [ -e $IPSEC_STARTER_PID ]
then
echo "Reloading strongSwan IPsec configuration..." >&2
kill -USR1 `cat $IPSEC_STARTER_PID` 2>/dev/null && rc=0
else
echo "Reloading strongSwan IPsec failed: starter is not running" >&2
fi
exit "$rc"
;;
restart)
$IPSEC_SBINDIR/$IPSEC_SCRIPT stop
sleep 2
shift
exec $IPSEC_SBINDIR/$IPSEC_SCRIPT start "$@"
;;
route|unroute)
op="$1"
rc=7
shift
if [ "$#" -ne 1 ]
then
echo "Usage: $IPSEC_SCRIPT $op <connection name>"
exit 2
fi
if [ -e $IPSEC_CHARON_PID ]
then
$IPSEC_STROKE "$op" "$1"
rc="$?"
fi
exit "$rc"
;;
secrets)
rc=7
if [ -e $IPSEC_CHARON_PID ]
then
$IPSEC_STROKE rereadsecrets
rc="$?"
fi
exit "$rc"
;;
start)
shift
if [ -d /var/lock/subsys ]; then
touch /var/lock/subsys/ipsec
fi
exec $IPSEC_STARTER --daemon $DAEMON_NAME "$@"
;;
status|statusall)
op="$1"
# Return value is slightly different for the status command:
# 0 - service up and running
# 1 - service dead, but /var/run/ pid file exists
# 2 - service dead, but /var/lock/ lock file exists
# 3 - service not running (unused)
# 4 - service status unknown :-(
# 5--199 reserved (5--99 LSB, 100--149 distro, 150--199 appl.)
shift
if [ $# -eq 0 ]
then
if [ -e $IPSEC_CHARON_PID ]
then
$IPSEC_STROKE "$op"
fi
else
if [ -e $IPSEC_CHARON_PID ]
then
$IPSEC_STROKE "$op" "$1"
fi
fi
if [ -e $IPSEC_STARTER_PID ]
then
kill -0 `cat $IPSEC_STARTER_PID` 2>/dev/null
exit $?
fi
exit 3
;;
stop)
# stopping a not-running service is considered as success
if [ -e $IPSEC_STARTER_PID ]
then
echo "Stopping strongSwan IPsec..." >&2
spid=`cat $IPSEC_STARTER_PID`
if [ -n "$spid" ]
then
kill $spid 2>/dev/null
loop=11
while [ $loop -gt 0 ] ; do
kill -0 $spid 2>/dev/null || break
sleep 1
loop=$(($loop - 1))
done
if [ $loop -eq 0 ]
then
kill -KILL $spid 2>/dev/null
rm -f $IPSEC_STARTER_PID
fi
fi
else
echo "Stopping strongSwan IPsec failed: starter is not running" >&2
fi
if [ -d /var/lock/subsys ]; then
rm -f /var/lock/subsys/ipsec
fi
exit 0
;;
up)
shift
if [ "$#" -ne 1 ]
then
echo "Usage: $IPSEC_SCRIPT up <connection name>"
exit 2
fi
rc=7
if [ -e $IPSEC_CHARON_PID ]
then
$IPSEC_STROKE up "$1"
rc="$?"
fi
exit "$rc"
;;
update)
if [ -e $IPSEC_STARTER_PID ]
then
echo "Updating strongSwan IPsec configuration..." >&2
kill -HUP `cat $IPSEC_STARTER_PID`
exit 0
else
echo "Updating strongSwan IPsec failed: starter is not running" >&2
exit 7
fi
;;
pki)
shift
exec $IPSEC_BINDIR/pki "$@"
;;
aikgen)
shift
exec $IPSEC_BINDIR/aikgen "$@"
;;
version|--version)
printf "$OS_NAME $IPSEC_NAME $IPSEC_VERSION\n"
printf "$IPSEC_DISTRO\n"
printf "See '$IPSEC_SCRIPT --copyright' for copyright information.\n"
exit 0
;;
--*)
echo "$0: unknown option \`$1' (perhaps command name was omitted?)" >&2
exit 2
;;
esac
cmd="$1"
shift
path="$IPSEC_DIR/$cmd"
if [ ! -x "$path" ]
then
echo "$0: unknown IPsec command \`$cmd' (\`$IPSEC_SCRIPT --help' for list)" >&2
exit 2
fi
exec $path "$@"
|